<?
//Специально для masteram.us - Закрытый клуб мастеров!

//if(isset($_SERVER["REMOTE_ADDR"]) and $_SERVER["REMOTE_ADDR"] == '5.1.17.206') exit;
//include("tweety.php");
// НАСТРОЙКИ СОЕДИНЕНИЯ С БД
if($_SERVER["HTTP_HOST"] != 'masteram.us'){
define('DB_host','localhost'); // Хост
define('DB_user','user1453_vipmi'); // Пользователь БД
define('DB_pass','mju3hX71u3VfAtEV'); // Пароль
define('DB_db','user1453_vipvi');   // БД
}
// ПРОЧИЕ НАСТРОЙКИ///////////
// ЭТО НЕ ТРОГАЕМ!///////||||/
require_once'sys/start.php'; //
require_once'sys/gzip.php'; //
include_once 'sys/sys.php'; //
/////////////////////////////

/*
$er_time=date("H:i:s d M Y"); // записываем текущее время в строку,
    //используя заданный формат
$U=getenv("HTTP_USER_AGENT"); // получаем данные о софте,
    //который испольует пользователь
$H=getenv("HTTP_REFERER"); // получаем URL, с которого пришёл посетитель
$R=getenv("REMOTE_ADDR"); // получаем IP посетителя
$W=getenv("REQUEST_URI"); // получаем относительный адрес странички,
    //которую запросил посетитель

while (ereg('%([0-9A-F]{2})',$H)){ // пока в строке $H будет хоть одно
        //сочетание знака % и двух символов из диапазонов 0-9 и A-F
        //(шестнадцатиричные цифры)
    $val=ereg_replace('.*%([0-9A-F]{2}).*','\1',$H);
        // присваиваем $val результат замены выражения,
        //содержащего процент и два символа из означенных выше интервалов,
        //на эти самые два символа
        // короче говоря, теперь в $val у нас очередные 2 символа,
        //перед которыми в исходном выражении стоял процент
    $newval=chr(hexdec($val)); // получаем сивол с номером,
        //полученным переведением полученного в $val
        //шестнадцатиричного числа в "нормальное"
    $H=str_replace('%'.$val,$newval,$H);
        //стандартная строковая функция замены -
        //заменяет подстроку, состоящую из процента и друх символов
        //из переменной $var на символ, который эти два
        //шестнадцатиричных символа кодировали
    }// конец цикла :)

$f=fopen("logs/visits.log",'a'); // дальше - понятно, пишем всё это в файл
flock ($f,2);
fwrite($f,"$er_time\n Br: $U\n Rf: $H\n IP: $R\n Rq: $W\n");
fclose($f);
*/

/*
// Настройки обменника файлов
$set['eval_change'] = 1; // не меняем
*/

require_once H."sys/bann.php";

if(isset($user['id']))
    {
     if($user['level']!=4 && $user['level']!=5 && $user['level']!=6 && $user['level']!=7 && $user['level']!=8 && $user['level']!=9) //если ты не в админах и т.д
        {
          if($user['posts']==0)
             {
               $level=0; //если постов 0 уровень 0
               /* получаем название статусов */
               $levelselect = @$db->sql_query ("Select * from levels where level='".$level."'");
               $levels = @$db->sql_fetchrow($levelselect);
               $levname = $levels['name'];
               /* присваеваем пользователю уровень и статус */
               $db->sql_query ("UPDATE `users` SET `level`='".$level."', `status`='".$levname."', `posts`='1' WHERE `id`='".$user[id]."'"); //даем 1 пост чтоб не отсылалось сообщение  100500 раз гг
               $msg='Вам присвоен статус '.$levname.''; // Пишем послание юзеру =)
               /* Отсылаем послание юзеру =) */
              $db->sql_query ("INSERT INTO privat (user,user_id,to_user,to_id,time,msg)
              VALUES ('".$user_system."','0','".user($user[user])."','".user_inf($user[id])."','$time','$msg')");
              }
          else
          if($user['posts']==999)
             {
               $level=1; //если постов 1000 уровень 1
               $levelselect = @$db->sql_query ("Select * from levels where level='".$level."'");
               $levels = @$db->sql_fetchrow($levelselect);
               $levname = $levels['name'];
               /* присваеваем пользователю уровень и статус */
               $db->sql_query ("UPDATE `users` SET `level`='".$level."', `status`='".$levname."', `posts`='1000' WHERE `id`='".$user[id]."'"); //даем 1 пост чтоб не отсылалось сообщение 100500 раз гг
               $msg='Вы набрали 1000 постов и вам присвоен уровень '.$levname.''; // Пишем послание юзеру =)
              /* Отсылаем послание юзеру =) */
              $db->sql_query ("INSERT INTO privat (user,user_id,to_user,to_id,time,msg)
              VALUES ('".$user_system."','0','".user($user[user])."','".user_inf($user[id])."','$time','$msg')");
              }
          else
          if($user['posts']==4999)
             {
               $level=2; //если постов 5000 уровень 2
               $levelselect = @$db->sql_query ("Select * from levels where level='".$level."'");
               $levels = @$db->sql_fetchrow($levelselect);
               $levname = $levels['name'];
               /* присваеваем пользователю уровень и статус */
               $db->sql_query ("UPDATE `users` SET `level`='".$level."', `status`='".$levname."', `posts`='5000' WHERE `id`='".$user[id]."'"); //даем 1 пост чтоб не отсылалось сообщение 100500 раз гг
               $msg='Вы набрали 5000 постов и вам присвоен уровень '.$levname.''; // Пишем послание юзеру =)
              /* Отсылаем послание юзеру =) */
              $db->sql_query ("INSERT INTO privat (user,user_id,to_user,to_id,time,msg)
              VALUES ('".$user_system."','0','".user($user[user])."','".user_inf($user[id])."','$time','$msg')");
              }
          else
          if($user['posts']==9999)
             {
               $level=3; //если постов 10000 уровень 3
               /* получаем название статусов */
               $levelselect = @$db->sql_query ("Select * from levels where level='".$level."'");
               $levels = @$db->sql_fetchrow($levelselect);
               $levname = $levels['name'];
               /* присваеваем пользователю уровень и статус */
               $db->sql_query ("UPDATE `users` SET `level`='".$level."', `status`='".$levname."', `posts`='10000' WHERE `id`='".$user[id]."'"); //даем 1 пост чтоб не отсылалось сообщение 100500 раз гг
               $msg='Вы набрали 10000 постов и вам присвоен уровень '.$levname.''; // Пишем послание юзеру =)
              /* Отсылаем послание юзеру =) */
              $db->sql_query ("INSERT INTO privat (user,user_id,to_user,to_id,time,msg)
              VALUES ('".$user_system."','0','".user($user[user])."','".user_inf($user[id])."','$time','$msg')");
              }
        }

    }
if(is_file(H.'max_online.txt'))
{
$file = file_get_contents(H.'max_online.txt');
$pr=explode("|", $file);
$kol = intval($pr['0']);
$online = $db->sql_fetchfield($db->sql_query("select count(*) as num from who"),0);
if($kol < $online)
{
$fp=fopen('max_online.txt','w');
fputs($fp,"$online|".time()."");
fclose($fp);
}
}



/*if($ver != 'wml')
{
	if(!isset($_SESSION['scr']))
	{
		//размер экрана
		// проверяем существование переменных $width и $height
		if (isset($_GET['width']) AND isset($_GET['height']))
		// если переменные существуют, выполняем код между фигурными скобками
		{
			// выводим полученные значения на экран
			$_SESSION['scr'] = check($_GET['width']).'X'.check($_GET['height']);
		} // если переменные не существуют, выполняем следующее
		else
		{
		// PHP сгенерирует код JavaScript, который обработает браузер
		// пользователя и передаст значения обратно PHP-скрипту через протокол HTTP
		 echo "<script language='javascript'>\n";
		 echo " location.href=\"${_SERVER['SCRIPT_NAME']}?${_SERVER['QUERY_STRING']}"
			  . "&width=\" + screen.width + \"&height=\" + screen.height;\n";
		 echo "</script>\n";
		 exit();
		}
	}
}*/
//размер экрана
/*if(isset($_SESSION['scr'])){$size_display = check($_SESSION['scr']);}
else {$size_display = '0x0';}
*/
if(isset($_SERVER["HTTP_X_OPERAMINI_PHONE"])) $size_display = 'Телефон: '.$_SERVER["HTTP_X_OPERAMINI_PHONE"].'<br/>';
if(isset($_SERVER["HTTP_X_OPERAMINI_PHONE_UA"])) $size_display .= 'Полный софт: '.$_SERVER["HTTP_X_OPERAMINI_PHONE_UA"].'<br/>';
if(isset($_ENV["HTTP_X_FORWARDED_FOR"])) $size_display .= 'IP: '.$_ENV["HTTP_X_FORWARDED_FOR"].'<br/>';
if(isset($_ENV["HTTP_X_OPERAMINI_FEATURES"])) $size_display .= 'Тех данные: '.$_ENV["HTTP_X_OPERAMINI_FEATURES"].'<br/>';
if(isset($_SERVER["HTTP_X_REAL_IP"])) $size_display .= 'Реал ИП: '.$_SERVER["HTTP_X_REAL_IP"].'<br/>';
if(isset($_SERVER["HTTP_ACCEPT"])) $size_display .= 'Типы: '.$_SERVER["HTTP_ACCEPT"].'<br/>';

/*

if($_SERVER['HTTP_ACCEPT_ENCODING'])
{ $size_display = strtolower($_SERVER['HTTP_ACCEPT_ENCODING']); }
else{ $size_display = strtolower($_SERVER['HTTP_TE']); }
*/

if(isset($_SESSION['inps']))
{
	$inpass = $_SESSION['inps'];
}else
{
	$inpass = 0;
}


?>
